This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 215371 - rngd is missing initscript, attached
rngd is missing initscript, attached
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rng-utils (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Garzik
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 13:21 EST by Paul Wouters
Modified: 2013-07-02 22:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 743020 (view as bug list)
Environment:
Last Closed: 2009-12-18 00:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rngd initscript (2.24 KB, application/octet-stream)
2006-11-13 13:21 EST, Paul Wouters
no flags Details
Updated version of rngd.init supporting 2.6.19 style rng kernel modules (2.27 KB, text/plain)
2007-01-30 13:03 EST, Paul Wouters
no flags Details
Fix to previous version for properly modprobing hwrng (2.38 KB, text/plain)
2007-01-30 13:12 EST, Paul Wouters
no flags Details
Fixed version of init script (2.38 KB, application/octet-stream)
2008-09-20 18:22 EDT, Ian Burrell
no flags Details

  None (edit)
Description Paul Wouters 2006-11-13 13:21:28 EST
rngd should always be started in platforms with hardware random support, but
package provides no initscript to start the rngd.
Comment 1 Paul Wouters 2006-11-13 13:21:28 EST
Created attachment 141082 [details]
rngd initscript
Comment 2 Paul Wouters 2007-01-25 21:49:16 EST
Please try to get the init script for rngd into the package before FC7test1
feature freeze. I can't make it easier then I already did by supplying the init
script.
Comment 3 Paul Wouters 2007-01-30 12:58:47 EST
Still an issue for rng-utils-2.0-1.14.1.fc6
Comment 4 Paul Wouters 2007-01-30 13:03:47 EST
Created attachment 146934 [details]
Updated version of rngd.init supporting 2.6.19 style rng kernel modules

Updated version of rngd.init supporting 2.6.19 style rng kernel modules
Comment 5 Paul Wouters 2007-01-30 13:12:16 EST
Created attachment 146935 [details]
Fix to previous version for properly modprobing hwrng

sorry about that. previous version is broken.
Comment 6 Charles R. Anderson 2007-02-12 19:44:41 EST
You should change version to devel.

There is a commented out invocation of rngd in /etc/rc.d/rc.sysinit:

# Use the hardware RNG to seed the entropy pool, if available
#[ -x /sbin/rngd -a -c /dev/hw_random ] && rngd

if [ -f /etc/crypttab ]; then
    s=$"Starting disk encryption using the RNG:"

Not sure why this is commented out, but it may be necessary for starting disk
encryption that follows it.
Comment 7 Bug Zapper 2008-04-04 00:39:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Paul Wouters 2008-04-07 17:54:03 EDT
From Fedora 9 beta 1:

/etc/rc.d/rc.sysinit:#[ -x /sbin/rngd -a -c /dev/hw_random ] && rngd

It is still not using rngd on system start. This means crypto software like
Openswan cannot use any P4/AMD hardware random.
Comment 9 Mike Chambers 2008-05-02 23:25:00 EDT
Bug has been assigned and changed to rawhide so it's up to date with latest
release/development.

Also, maybe you could show what version you are using currently and are you
fully updated to current rawhide?
Comment 10 Bug Zapper 2008-05-13 22:28:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matthew Miller 2008-05-23 12:24:36 EDT
See bug #130350 for discussion of why the line in rc.sysinit is commented out.

Seems like a separate init script (or some fancy upstart incantation) may be the
way to go, but the underlying flaw in the daemon maybe should get fixed too.
(Perhaps this needs to be split into two separate bugs?)

This is still an issue in fully-updated rawhide, by the way:

 initscripts-8.76.2-1, rng-utils-2.0-1.15.1.fc9
Comment 12 Ian Burrell 2008-09-20 18:22:57 EDT
Created attachment 317293 [details]
Fixed version of init script

The latest version of init script has a couple of syntax errors.  This script fixes the syntax errors.
Comment 13 Bug Zapper 2008-11-25 20:51:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-11-18 02:44:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-12-18 00:54:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Solomon Peachy 2010-01-27 15:50:11 EST
This is still a problem with rng-utils-2.0-4 in F12; there is no init script present in the package.
Comment 18 juan.oropeza 2011-10-03 11:41:55 EDT
this problem is still occurring in Fedora 15, is there a package update that includes the startup script? I get the following output with the sample script

./rngd start
Probing for HRNG module
FATAL: Error inserting intel_rng (/lib/modules/2.6.40.4-5.fc15.x86_64/kernel/drivers/char/hw_random/intel-rng.ko): No such device
FATAL: Error inserting via_rng (/lib/modules/2.6.40.4-5.fc15.x86_64/kernel/drivers/char/hw_random/via-rng.ko): No such device
FATAL: Error inserting amd_rng (/lib/modules/2.6.40.4-5.fc15.x86_64/kernel/drivers/char/hw_random/amd-rng.ko): No such device
(Hardware RNG device inode not found)
./rngd: Cannot find a hardware RNG device to use.

Note You need to log in before you can comment on or make changes to this bug.